Pre-release — content may change.

Roles

Delete a role summary

DELETE
/role_summaries/{id}

Deletes every role sharing this summary's name. Returns 405 when the role name is a system, custom, or legacy role and cannot be deleted.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Base64-encoded role name identifying the role summary.

Response Body

application/json

application/json

curl -X DELETE "https://example.com/role_summaries/string"
Empty
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
Empty